{#
/**
 * @file
 * Theme override to display a node.
 *
 * Available variables:
 * - node: The node entity with limited access to object properties and methods.
     Only "getter" methods (method names starting with "get", "has", or "is")
     and a few common methods such as "id" and "label" are available. Calling
     other methods (such as node.delete) will result in an exception.
 * - label: The title of the node.
 * - content: All node items. Use {{ content }} to print them all,
 *   or print a subset such as {{ content.field_example }}. Use
 *   {{ content|without('field_example') }} to temporarily suppress the printing
 *   of a given child element.
 * - author_picture: The node author user entity, rendered using the "compact"
 *   view mode.
 * - metadata: Metadata for this node.
 * - date: Themed creation date field.
 * - author_name: Themed author name field.
 * - url: Direct URL of the current node.
 * - display_submitted: Whether submission information should be displayed.
 * - attributes: HTML attributes for the containing element.
 *   The attributes.class element may contain one or more of the following
 *   classes:
 *   - node: The current template type (also known as a "theming hook").
 *   - node--type-[type]: The current node type. For example, if the node is an
 *     "Article" it would result in "node--type-article". Note that the machine
 *     name will often be in a short form of the human readable label.
 *   - node--view-mode-[view_mode]: The View Mode of the node; for example, a
 *     teaser would result in: "node--view-mode-teaser", and
 *     full: "node--view-mode-full".
 *   The following are controlled through the node publishing options.
 *   - node--promoted: Appears on nodes promoted to the front page.
 *   - node--sticky: Appears on nodes ordered above other non-sticky nodes in
 *     teaser listings.
 *   - node--unpublished: Appears on unpublished nodes visible only to site
 *     admins.
 * - title_attributes: Same as attributes, except applied to the main title
 *   tag that appears in the template.
 * - content_attributes: Same as attributes, except applied to the main
 *   content tag that appears in the template.
 * - author_attributes: Same as attributes, except applied to the author of
 *   the node tag that appears in the template.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the main title tag that appears in the template.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the main title tag that appears in the template.
 * - view_mode: View mode; for example, "teaser" or "full".
 * - teaser: Flag for the teaser state. Will be true if view_mode is 'teaser'.
 * - page: Flag for the full page state. Will be true if view_mode is 'full'.
 * - readmore: Flag for more state. Will be true if the teaser content of the
 *   node cannot hold the main body content.
 * - logged_in: Flag for authenticated user status. Will be true when the
 *   current user is a logged-in member.
 * - is_admin: Flag for admin user status. Will be true when the current user
 *   is an administrator.
 *
 * @see template_preprocess_node()
 *
 * @todo Remove the id attribute (or make it a class), because if that gets
 *   rendered twice on a page this is invalid CSS for example: two lists
 *   in different view modes.
 */
#}
{%
set classes = [
node.getType|clean_class,
node.getType|clean_class ~ '-' ~ view_mode|clean_class,
node.isPromoted() ? 'node--promoted',
node.isSticky() ? 'node--sticky',
not node.isPublished() ? 'node--unpublished',
]
%}
<article{{ attributes.addClass(classes) }}>
    {% if not node.isPublished() %}
        <div class="watermark">Unpublished</div>
    {% endif %}
    {{ title_prefix }}
    {% if not page %}
        <h2{{ title_attributes }}>
            <a href="{{ url }}" rel="bookmark">{{ label }}</a>
        </h2>
    {% endif %}
    {{ title_suffix }}

    {% if display_submitted %}
        {% set footer_class = node.getType|clean_class ~ '-footer' %}
        <footer class="{{ footer_class }}">
            <span class="label label-default">Posted</span> {{ date }} by {{ author_name }}
            {{ metadata }}
        </footer>
    {% endif %}

    <div class="row">
        {% if content.field_featured_video['#items'] is not empty %}
            <div class="col-md-12">
                <div class="featured-video">
                    {{ content.field_featured_video }}
                </div>
            </div>
        {% endif %}
        <div class="col-md-5">
            {% if content.field_featured_video['#items'] is empty %}
                <div class="resource-image">{{ content.field_image }}</div>
            {% endif %}
            {{ content|without('body', 'child_pages_entity_view_1', 'field_associated_files', 'field_links', 'field_image', 'field_featured_video', 'book_navigation', 'links') }}
            {% if logged_in %}
              {{ discussion }}
            {% endif %}
        </div>
        <div class="col-md-7">
            {{ content.body }}
            {{ content.child_pages_entity_view_1 }}
            {% if logged_in %}
              {{ content.field_associated_files }}
              {{ content.field_links }}
            {% else %}
              {{ login_message }}
            {% endif %}
            {{ content.links }}
        </div>
    </div>
    </article>
